Page MenuHomePhabricator

SVG elements with feConvolveMatrix not rendered
Open, LowPublic

Description

Media-Wiki's librsvg 2.40 nor SVG-checker do not render the following files containing feConvolveMatrix


Update:
According to @AntiCompositeNumber in T253947#6177374 it should be fixed in librsvg 2.41 (i.e. subtask of update librsvg T193352) .

Event Timeline

Aklapper renamed this task from I can't see the image. (commons) to Specific SVG has empty PNG thmbnails.May 29 2020, 6:47 AM
Aklapper renamed this task from Specific SVG has empty PNG thmbnails to Specific SVG has empty PNG thumbnails.

Hi @Tmv, thanks for taking the time to report this and welcome to Wikimedia Phabricator!

Link to original SVG image itself: https://upload.wikimedia.org/wikipedia/commons/1/1e/Wikivoyage_oversight_draft_4.svg

The PNG preview seems to be entirely transparent in all sizes.

Adding the Thumbor project tag as this is about thumbnails.

Cannot reproduce locally when running rsvg-convert -w 512 -f png -u -o Wikivoyage_oversight_draft_4.png Wikivoyage_oversight_draft_4.svg with librsvg2-2.48.4-1.fc32.x86_64 but that librsvg version is way newer than on Wikimedia servers.

OK. So I expect that the problem will be resolved on the next update of librsvg. Thanks!

Not necessarily. Needs more investigation.

AntiCompositeNumber moved this task from Backlog to Upstream (librsvg) on the Thumbor board.
AntiCompositeNumber added a project: Upstream.

This looks like a bug that was fixed in librsvg 2.41.1:

  • The feConvolveMatrix filter primitive wasn't being rendered at all; now it works.

Confirming that the file renders as expected in rsvg-convert version 2.44.10 (buster) and later. 2.41 is a post-Rust version, which means that this bug won't be fixed until we upgrade Thumbor to Debian Buster.

JoKalliauer renamed this task from Specific SVG has empty PNG thumbnails to SVG-elements with feConvolveMatrix not rendered.May 9 2021, 12:35 PM
JoKalliauer updated the task description. (Show Details)
Aklapper renamed this task from SVG-elements with feConvolveMatrix not rendered to SVG elements with feConvolveMatrix not rendered.May 10 2021, 9:34 AM